﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.MVC.EJ;
using Syncfusion.JavaScript.DataVisualization.Models;
namespace boxWhisker.Controllers
{
    public partial class ChartController : Controller
    {
        int count;
        // GET: /Chart/
         public ActionResult ChartFeatures()
        {
            
            List<ChartData> data = new List<ChartData>();
            string connectionString = null;
            SqlDataAdapter adapter = new SqlDataAdapter();
            DataSet dataset = new DataSet();
            connectionString = @"Data Source=SYNCLAPN7430;Initial Catalog=chartDataSource;Integrated Security=True";
            SqlConnection con = new SqlConnection(connectionString);
            con.Open();
            string command2 = "select * from chartData";
            SqlCommand cmd1 = new SqlCommand(command2, con);
            adapter.SelectCommand = cmd1;
            adapter.Fill(dataset);
            for (var i = 0; i < dataset.Tables[0].Rows.Count; i++)
            {
                string x1 = Convert.ToString(dataset.Tables[0].Rows[i].ItemArray[0]);
                double y1 = Convert.ToDouble(dataset.Tables[0].Rows[i].ItemArray[1]);
                double y2 = Convert.ToDouble(dataset.Tables[0].Rows[i].ItemArray[2]);
                double y3 = Convert.ToDouble(dataset.Tables[0].Rows[i].ItemArray[3]);
                double y4 = Convert.ToDouble(dataset.Tables[0].Rows[i].ItemArray[4]);
                data.Add(new ChartData(x1, y1, y2, y3, y4));
                count = dataset.Tables[0].Rows[i].ItemArray.Length;
            }
            
            ViewBag.dataSource = data;
            string[] seriesName = new string[] { "Less than 1 Year", "At least 1 year but less than 3 years", "At least 3 years but less than 5 years", "More than 5 years" };
            ChartProperties chartModel = new ChartProperties();
            for (int i = 0; i < count - 1; i++)
            {
                Series ser = new Series();
                ser.Name = seriesName[i];
                chartModel.Series.Add(ser);
            }
            ViewBag.chartModel = chartModel;
            ViewBag.ResponseList = seriesName;
            return View();
        }   	
    }
    [Serializable]
    public class ChartData
    {
       

        public ChartData(string xvalue , double yvalue1 , double yvalue2 , double yvalue3 , double? yvalue4)
        {
            this.Xvalue = xvalue;
            this.YValue1 = yvalue1;
            this.YValue2 = yvalue2;
            this.YValue3 = yvalue3;
            this.YValue4 = yvalue4;


        }
        public string Xvalue
        {
            get;
            set;
        }
        public double YValue1
        {
            get;
            set;
        }
        public double YValue2
        {
            get;
            set;
        }
        public double YValue3
        {
            get;
            set;
        }
        public double? YValue4
        {
            get;
            set;
        }
    }
}
